"use client";
import { useEffect, useState } from "react";
import { useRouter } from "next/navigation";

export default function ReportContent() {
    const [reportData, setReportData] = useState(null);
    const router = useRouter();

    useEffect(() => {
        const storedData = sessionStorage.getItem("reportData");
        if (storedData) {
            setReportData(JSON.parse(storedData));
        } else {
            router.push("/");
        }
    }, []);

    if (!reportData) {
        return <p>Loading...</p>;
    }

    return <div>{/* Add more report content here */}</div>;
}
